; ODIDELL.INF
;
; DELL Network Interface Cards.
;
; VeRsIoN=1.00 Novell Windows 95 INF file: Dell Network Adapters.
; CoPyRiGhT=(c) Copyright 1996, by Novell, Inc. All rights reserved.

;***********************************************************************
;*   Version Section                                                   *
;***********************************************************************
[version]
InfVersion=00.01.00
signature="$CHICAGO$"
Class=Net
provider=%V_N%

;***********************************************************************
;*    Manufacturer Section                                             *
;***********************************************************************
[Manufacturer]
%V_DELL% = DELL

;***********************************************************************
;*    Manufacture Name section                                         *
;***********************************************************************
[DELL]
%*Dell.DeviceDesc%=*Dell.ndi, *pnp8228       ;Dell Lattitude XP port replicator

;***********************************************************************
;*   INF Install Section                                               *
;***********************************************************************
;****************************************************************************
; SMC9000  Compatible by Dell
;****************************************************************************
[*Dell.ndi]
AddReg    = Smc9000.ndi.reg,Smc9000.Gen.Resources,Smc9000.Gen.Params,*Dell.DevID,ODI.Common.CFG.reg
LogConfig = Dell.LogConfig

[*Dell.DevID]
HKR,Ndi,DeviceID,,"*PNP8228"
;***********************************************************************
;***********************************************************************
;*      Added Registry                                                 *
;***********************************************************************
[Smc9000.ndi.reg]
HKR,,DevLoader,,*odiload
HKR,,EnumPropPages,,"netdi.dll,EnumPropPages"
HKR,Ndi,NdiInstaller,,"odipage.dll,OdiNdiProc"

; Interfaces
HKR,Ndi\Interfaces,DefUpper,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,DefLower,,"ethernet"
HKR,Ndi\Interfaces,UpperRange,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,LowerRange,,"ethernet"

; Install sections
HKR,Ndi\Install,"16 Bit",,"SMC9000.ODI16.install"
HKR,Ndi\Install,"32 Bit",,"SMC9000.ODI32.install"

; Remove section
HKR,Ndi\Remove,"16 Bit",,"SMC9000.ODI16.Remove"

; ODI 16 Bit info
HKR,"ODI\16 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\16 Bit",Modules,,"LSLC32.NLM,PC32MLID.LAN"
HKR,"ODI\16 Bit",DriverPath,,"%24%%DRIVER_16_PATH%"
HKR,"ODI\16 Bit",FileName,,"SMC9000.COM"
HKR,"ODI\16 Bit",NetcfgPath,,"%24%%DRIVER_16_PATH%"
HKR,"ODI\16 Bit",NetcfgFileName,,"Net.cfg"
HKR,"ODI\16 Bit",LinkDriver,,"SMC9000"

; ODI 32 Bit Info
HKR,"ODI\32 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",Modules,,"LSLC32.NLM,CMSM.NLM,ETHERTSM.NLM"
HKR,"ODI\32 Bit",DriverPath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",FileName,,"SMC9000.lan"

;***********************************************************************
;*     .LogConfig Section                                              *
;***********************************************************************
;****************************************************************************
; SMC9000  Compatible by Dell
;****************************************************************************
[Dell.LogConfig]
ConfigPriority = HARDRECONFIG
IOConfig       = 20@300-3FF%FFE0
IRQConfig      = 10

;***********************************************************************
;*     Install section                                                 *
;***********************************************************************
; Install ODI 16
;***********************************************************************
[SMC9000.ODI16.install]
CopyFiles=SMC9000.ODI16.CopyFiles
UpdateAutoBat=SMC9000.ODI16.autobat

[SMC9000.ODI16.autobat]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
CmdDelete=SMC9000
CmdDelete=ODIHLP
CmdAdd=LSL.COM, "-c=%24%%DRIVER_16_PATH%NET.CFG"
CmdAdd=N16ODI.COM
CmdAdd=NESL.COM
CmdAdd=SMC9000.COM

;***********************************************************************
; Install ODI 32
;***********************************************************************
;***********************************************************************
;  SMC9000 adapter
[SMC9000.ODI32.install]
CopyFiles=SMC9000.ODI32.CopyFiles
UpdateAutoBat=SMC9000.ODI32.autobat

[SMC9000.ODI32.autobat]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
CmdDelete=SMC9000
CmdDelete=ODIHLP


;***********************************************************************
;*     remove sections                                                 *
;***********************************************************************
;***********************************************************************
; SMC9000 adapter
[SMC9000.ODI16.Remove]
UpdateAutoBat=SMC9000.ODI16.AutoBatRemove

[SMC9000.ODI16.AutoBatRemove]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
CmdDelete=SMC9000

;***********************************************************************
;*    Param Section                                                    *
;***********************************************************************
[SMC.Gen.Params]
; maxrequests
;HKR,NDI\params\maxrequests,ParamDesc,,"Maximum Requests"
;HKR,NDI\params\maxrequests,type,,int
;HKR,Ndi\params\maxrequests,default,,8
;HKR,NDI\params\maxrequests,min,,6
;HKR,NDI\params\maxrequests,max,,64
;HKR,NDI\params\maxrequests,step,,1
;HKR,NDI\params\maxrequests,flag,1,10,00,00,00
;HKR,NDI\params\maxrequests,optional,,1
; maxtransmits
;HKR,NDI\params\maxtransmits,ParamDesc,,"Maximum Transmits"
;HKR,NDI\params\maxtransmits,type,,int
;HKR,Ndi\params\maxtransmits,default,,12
;HKR,NDI\params\maxtransmits,min,,6
;HKR,NDI\params\maxtransmits,max,,96
;HKR,NDI\params\maxtransmits,step,,1
;HKR,NDI\params\maxtransmits,flag,1,10,00,00,00
;HKR,NDI\params\maxtransmits,optional,,1
; receivebuffers
;HKR,NDI\params\receivebuffers,ParamDesc,,"Receive Buffers"
;HKR,NDI\params\receivebuffers,type,,int
;HKR,Ndi\params\receivebuffers,default,,12
;HKR,NDI\params\receivebuffers,min,,6
;HKR,NDI\params\receivebuffers,max,,96
;HKR,NDI\params\receivebuffers,step,,1
;HKR,NDI\params\receivebuffers,flag,1,10,00,00,00
;HKR,NDI\params\receivebuffers,optional,,1
; receivebufsize
;HKR,NDI\params\receivebufsize,ParamDesc,,"Receive Buffer Size"
;HKR,NDI\params\receivebufsize,type,,int
;HKR,Ndi\params\receivebufsize,default,,256
;HKR,NDI\params\receivebufsize,min,,256
;HKR,NDI\params\receivebufsize,max,,1536
;HKR,NDI\params\receivebufsize,step,,1
;HKR,NDI\params\receivebufsize,flag,1,10,00,00,00
;HKR,NDI\params\receivebufsize,optional,,1
; receivechains
;HKR,NDI\params\receivechains,ParamDesc,,"Receive Chains Entries"
;HKR,NDI\params\receivechains,type,,int
;HKR,Ndi\params\receivechains,default,,12
;HKR,NDI\params\receivechains,min,,6
;HKR,NDI\params\receivechains,max,,96
;HKR,NDI\params\receivechains,step,,1
;HKR,NDI\params\receivechains,flag,1,10,00,00,00
;HKR,NDI\params\receivechains,optional,,1

;***********************************************************************
; General Ethernet Frame-Type params
;***********************************************************************
[ODI.Common.CFG.reg]
; First Logical Board
HKR,Ndi\params\Frame1,ParamDesc,,"1. Frame Type"
HKR,Ndi\params\Frame1,default,,1
HKR,Ndi\params\Frame1,type,,enum
HKR,Ndi\params\Frame1,optional,,0
HKR,Ndi\params\Frame1\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame1\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame1\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame1\enum,4,,"Ethernet_802.3"

; Second Logical Board
HKR,Ndi\params\Frame2,ParamDesc,,"2. Frame Type"
HKR,Ndi\params\Frame2,default,,2
HKR,Ndi\params\Frame2,type,,enum
HKR,Ndi\params\Frame2,optional,,0
HKR,Ndi\params\Frame2\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame2\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame2\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame2\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame2\enum,5,,"Not used"

; Third Logical Board
HKR,Ndi\params\Frame3,ParamDesc,,"3. Frame Type"
HKR,Ndi\params\Frame3,default,,3
HKR,Ndi\params\Frame3,type,,enum
HKR,Ndi\params\Frame3,optional,,0
HKR,Ndi\params\Frame3\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame3\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame3\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame3\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame3\enum,5,,"Not used"

; Fourth Logical Board
HKR,Ndi\params\Frame4,ParamDesc,,"4. Frame Type"
HKR,Ndi\params\Frame4,default,,4
HKR,Ndi\params\Frame4,type,,enum
HKR,Ndi\params\Frame4,optional,,0
HKR,Ndi\params\Frame4\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame4\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame4\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame4\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame4\enum,5,,"Not used"

; Node Address Override
HKR,Ndi\params\"Node Address",ParamDesc,,"Node Address Override"
HKR,Ndi\params\"Node Address",type,,edit
HKR,Ndi\params\"Node Address",LimitText,,18
HKR,Ndi\params\"Node Address",UpperCase,,1
HKR,Ndi\params\"Node Address",default,,""
HKR,Ndi\params\"Node Address",flag,1,20,00,00,00
HKR,Ndi\params\"Node Address",optional,,1

; Help section
HKR,Ndi,HelpText,,%ODIMLID_HELP%

;***********************************************************************
;*    Resource Section                                                 *
;***********************************************************************
[Smc9000.Gen.Resources]
HKR,,Port,1,02,00,00,00
HKR,NDI\params\Port,resc,1,02,00,00,00
HKR,NDI\params\Port,ParamDesc,,"I/O Port Address"
HKR,NDI\params\Port,flag,1,30,00,00,00

HKR,,IRQ,1,04,00,00,00
HKR,NDI\params\IRQ,resc,1,04,00,00,00
HKR,NDI\params\IRQ,ParamDesc,,"IRQ Level"
HKR,NDI\params\IRQ,flag,1,30,00,00,00

;HKR,Ndi\params\transceiver,ParamDesc,,"Connector Type/32 bit driver"
;HKR,Ndi\params\transceiver,default,,"10BaseT"
;HKR,Ndi\params\transceiver,type,,enum
;HKR,Ndi\params\transceiver\enum,"AUI",,"AUI"
;HKR,Ndi\params\transceiver\enum,"BNC",,"BNC"
;HKR,Ndi\params\transceiver\enum,"10BaseT",,"10BaseT"
;HKR,NDI\params\transceiver,flag,1,20,00,00,00

;HKR,Ndi\params\Media,ParamDesc,,"Connector Type/16 bit driver"
;HKR,Ndi\params\Media,default,,"10BaseT"
;HKR,Ndi\params\Media,type,,enum
;HKR,Ndi\params\Media\enum,"AUI",,"AUI"
;HKR,Ndi\params\Media\enum,"10BaseT",,"10BaseT"
;HKR,NDI\params\Media,flag,1,10,00,00,00

; NetworkAddress
HKR,NDI\params\NetworkAddress,ParamDesc,,"Network Address"
HKR,NDI\params\NetworkAddress,type,,edit
HKR,NDI\params\NetworkAddress,LimitText,,18
HKR,NDI\params\NetworkAddress,UpperCase,,1
HKR,Ndi\params\NetworkAddress,default,,""
HKR,NDI\params\NetworkAddress,flag,1,20,00,00,00
HKR,Ndi\params\NetworkAddress,optional,,1

;***********************************************************************
;*   Copy file sections                                                *
;***********************************************************************
; Install ODI 16
;***********************************************************************

;***********************************************************************
;  SMC9000 adapter
[SMC9000.ODI16.CopyFiles]
SMC9000.com,,,5
lsl.com,,,5
N16ODI.COM,,,5
nesl.com,,,5
;LSL.msg,,,5
;NESL.msg,,,5

;***********************************************************************
; Install ODI 32
;***********************************************************************

;***********************************************************************
;  SMC9000 adapter
[SMC9000.ODI32.CopyFiles]
SMC9000.lan,,,5

;***********************************************************************
;*   Source Disk Names & Source Disk Files                             *
;***********************************************************************
[SourceDisksNames]
42=%DSK_NOVELL4%,"",0004
42=%DSK_NOVELL4a%,"",0004

[SourceDisksFiles]
SMC9000.lan  =42
SMC9000.com  =42
nesl.com       =42
lsl.com        =42
N16ODI.COM     =42
;NESL.msg       =42
;LSL.msg        =42

;***********************************************************************
;*   Destination Directories                                           *
;***********************************************************************
[DestinationDirs]
DefaultDestDir           =11 ; LDID_SYS
SMC9000.ODI16.CopyFiles     =24,novell\nwclient
SMC9000.ODI32.CopyFiles     =24,novell\client32

;***********************************************************************
;*   Localizable Strings                                               *
;***********************************************************************
[strings]
; Provider
V_N=" Novell"
; Manufacturers
V_DELL="Dell"

; Driver Paths 
DRIVER_16_PATH="novell\nwclient\"
DRIVER_32_PATH="novell\client32\"

; Driver Disk names
DSK_NOVELL4=             "Novell NetWare Client-32 LAN driver disk"
DSK_NOVELL4a=            "Novell NetWare Client-32 LAN driver disk."

; Context help
ODIMLID_HELP="The Novell ODI driver enables you to use either 16-Bit or 32-Bit networking components."

;***********************************************************************
; PNP Devices
;***********************************************************************
; PNP Devices for generic arcnet
*Dell.DeviceDesc    = "Dell Latitude XP Advanced Port Replicator"

